be.ehealth.businessconnector.ssinhistory.service.impl

## Class SsinHistoryTokenServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.ssinhistory.service.impl.SsinHistoryTokenServiceImpl

- All Implemented Interfaces:
    SsinHistoryTokenService

      public class SsinHistoryTokenServiceImpl
      extends Object
      implements SsinHistoryTokenService

  Implementation for the `SsinHistoryTokenService` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SsinHistoryTokenServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal)` Creates a new SsinHistoryServiceImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultCurrentSsinResponse` | `consultCurrentSsin(SAMLToken token, ConsultCurrentSsinRequest request)`
    `ConsultRelatedSsinsResponse` | `consultRelatedSsins(SAMLToken token, ConsultRelatedSsinsRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SsinHistoryTokenServiceImpl

          public SsinHistoryTokenServiceImpl(SessionValidator sessVal,
                                             EhealthReplyValidator ehRepVal)
                                      throws TechnicalConnectorException

      Creates a new SsinHistoryServiceImpl
      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### consultRelatedSsins

          public ConsultRelatedSsinsResponse consultRelatedSsins(SAMLToken token,
                                                                 ConsultRelatedSsinsRequest request)
                                                          throws TechnicalConnectorException

      Specified by:
        `consultRelatedSsins` in interface `SsinHistoryTokenService`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### consultCurrentSsin

          public ConsultCurrentSsinResponse consultCurrentSsin(SAMLToken token,
                                                               ConsultCurrentSsinRequest request)
                                                        throws TechnicalConnectorException

      Specified by:
        `consultCurrentSsin` in interface `SsinHistoryTokenService`
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Package PERSMIDWIFE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.